/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.AclRule.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface AclRule extends ValueProxy {

  /** The scope of the rule. */
  @PropertyName("scope")
  AclRuleScope getScope();

  @PropertyName("scope")
  void setScope(AclRuleScope scope);

  /** Type of the resource ("calendar#aclRule"). */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String kind);

  /** ETag of the resource. */
  @PropertyName("etag")
  String getEtag();

  @PropertyName("etag")
  void setEtag(String etag);

  /**
 * The role assigned to the scope. Possible values are: - "none" - Provides no access. -
 * "freeBusyReader" - Provides read access to free/busy information. - "reader" - Provides read
 * access to the calendar. Private events will appear to users with reader access, but event details
 * will be hidden. - "writer" - Provides read and write access to the calendar. Private events will
 * appear to users with writer access, and event details will be visible. - "owner" - Provides
 * ownership of the calendar. This role has all of the permissions of the writer role with the
 * additional ability to see and manipulate ACLs.
 */
  @PropertyName("role")
  String getRole();

  @PropertyName("role")
  void setRole(String role);

  /** Identifier of the ACL rule. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String id);
}
