/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.AclRuleScope.
 *
 * The scope of the rule.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface AclRuleScope extends ValueProxy {

  /**
 * The type of the scope. Possible values are: - "default" - The public scope. This is the default
 * value. - "user" - Limits the scope to a single user. - "group" - Limits the scope to a group. -
 * "domain" - Limits the scope to a domain.  Note: The permissions granted to the "default", or
 * public, scope apply to any user, authenticated or not.
 */
  @PropertyName("type")
  String getType();

  @PropertyName("type")
  void setType(String type);

  /**
 * The email address of a user or group, or the name of a domain, depending on the scope type.
 * Omitted for type "default".
 */
  @PropertyName("value")
  String getValue();

  @PropertyName("value")
  void setValue(String value);
}
