/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.Calendar.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Calendar extends ValueProxy {

  /** Type of the resource ("calendar#calendar"). */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String kind);

  /** Description of the calendar. Optional. */
  @PropertyName("description")
  String getDescription();

  @PropertyName("description")
  void setDescription(String description);

  /** Title of the calendar. */
  @PropertyName("summary")
  String getSummary();

  @PropertyName("summary")
  void setSummary(String summary);

  /** ETag of the resource. */
  @PropertyName("etag")
  String getEtag();

  @PropertyName("etag")
  void setEtag(String etag);

  /** Geographic location of the calendar as free-form text. Optional. */
  @PropertyName("location")
  String getLocation();

  @PropertyName("location")
  void setLocation(String location);

  /** The time zone of the calendar. Optional. */
  @PropertyName("timeZone")
  String getTimeZone();

  @PropertyName("timeZone")
  void setTimeZone(String timeZone);

  /** Identifier of the calendar. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String id);
}
