/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.CalendarListEntry.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface CalendarListEntry extends ValueProxy {

  /** Type of the resource ("calendar#calendarListEntry"). */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String kind);

  /** The default reminders that the authenticated user has for this calendar. */
  @PropertyName("defaultReminders")
  java.util.List<EventReminder> getDefaultReminders();

  @PropertyName("defaultReminders")
  void setDefaultReminders(java.util.List<EventReminder> defaultReminders);

  /** Description of the calendar. Optional. Read-only. */
  @PropertyName("description")
  String getDescription();

  @PropertyName("description")
  void setDescription(String description);

  /**
 * The color of the calendar. This is an ID referring to an entry in the "calendar" section of the
 * colors definition (see the "colors" endpoint). Optional.
 */
  @PropertyName("colorId")
  String getColorId();

  @PropertyName("colorId")
  void setColorId(String colorId);

  /** Whether the calendar content shows up in the calendar UI. Optional. The default is True. */
  @PropertyName("selected")
  Boolean getSelected();

  @PropertyName("selected")
  void setSelected(Boolean selected);

  /** Title of the calendar. Read-only. */
  @PropertyName("summary")
  String getSummary();

  @PropertyName("summary")
  void setSummary(String summary);

  /** ETag of the resource. */
  @PropertyName("etag")
  String getEtag();

  @PropertyName("etag")
  void setEtag(String etag);

  /** Geographic location of the calendar as free-form text. Optional. Read-only. */
  @PropertyName("location")
  String getLocation();

  @PropertyName("location")
  void setLocation(String location);

  /** The summary that the authenticated user has set for this calendar. Optional. */
  @PropertyName("summaryOverride")
  String getSummaryOverride();

  @PropertyName("summaryOverride")
  void setSummaryOverride(String summaryOverride);

  /** The time zone of the calendar. Optional. Read-only. */
  @PropertyName("timeZone")
  String getTimeZone();

  @PropertyName("timeZone")
  void setTimeZone(String timeZone);

  /** Whether the calendar has been hidden from the list. Optional. The default is False. */
  @PropertyName("hidden")
  Boolean getHidden();

  @PropertyName("hidden")
  void setHidden(Boolean hidden);

  /**
 * The effective access role that the authenticated user has on the calendar. Read-only. Possible
 * values are: - "freeBusyReader" - Provides read access to free/busy information. - "reader" -
 * Provides read access to the calendar. Private events will appear to users with reader access, but
 * event details will be hidden. - "writer" - Provides read and write access to the calendar.
 * Private events will appear to users with writer access, and event details will be visible. -
 * "owner" - Provides ownership of the calendar. This role has all of the permissions of the writer
 * role with the additional ability to see and manipulate ACLs.
 */
  @PropertyName("accessRole")
  String getAccessRole();

  @PropertyName("accessRole")
  void setAccessRole(String accessRole);

  /** Identifier of the calendar. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String id);
}
