/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.Colors.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Colors extends ValueProxy {

  /**
 * Palette of calendar colors, mapping from the color ID to its definition. An 'calendarListEntry'
 * resource refers to one of these color IDs in its 'color' field. Read-only.
 */
  @PropertyName("calendar")
  java.util.Map<String, ColorDefinition> getCalendar();

  @PropertyName("calendar")
  void setCalendar(java.util.Map<String, ColorDefinition> calendar);

  /** Last modification time of the color palette (as a RFC 3339 timestamp). Read-only. */
  @PropertyName("updated")
  String getUpdated();

  @PropertyName("updated")
  void setUpdated(String updated);

  /**
 * Palette of event colors, mapping from the color ID to its definition. An 'event' resource may
 * refer to one of these color IDs in its 'color' field. Read-only.
 */
  @PropertyName("event")
  java.util.Map<String, ColorDefinition> getEvent();

  @PropertyName("event")
  void setEvent(java.util.Map<String, ColorDefinition> event);

  /** Type of the resource ("calendar#colors"). */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String kind);
}
