/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.Error.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Error extends ValueProxy {

  /** Domain, or broad category, of the error. */
  @PropertyName("domain")
  String getDomain();

  @PropertyName("domain")
  void setDomain(String domain);

  /**
 * Specific reason for the error. Some of the possible values are: - "groupTooBig" - The group of
 * users requested is too large for a single query. - "tooManyCalendarsRequested" - The number of
 * calendars requested is too large for a single query. - "notFound" - The requested resource was
 * not found. - "internalError" - The API service has encountered an internal error.  Additional
 * error types may be added in the future, so clients should gracefully handle additional error
 * statuses not included in this list.
 */
  @PropertyName("reason")
  String getReason();

  @PropertyName("reason")
  void setReason(String reason);
}
