/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.EventAttendee.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface EventAttendee extends ValueProxy {

  /** The attendee's response comment. Optional. */
  @PropertyName("comment")
  String getComment();

  @PropertyName("comment")
  void setComment(String comment);

  /** The attendee's name, if available. Optional. */
  @PropertyName("displayName")
  String getDisplayName();

  @PropertyName("displayName")
  void setDisplayName(String displayName);

  /**
 * Whether this entry represents the calendar on which this copy of the event appears. Read-only.
 * The default is False.
 */
  @PropertyName("self")
  Boolean getSelf();

  @PropertyName("self")
  void setSelf(Boolean self);

  /**
 * The attendee's response status. Possible values are: - "needsAction" - The attendee has not
 * responded to the invitation. - "declined" - The attendee has declined the invitation. -
 * "tentative" - The attendee has tentatively accepted the invitation. - "accepted" - The attendee
 * has accepted the invitation.
 */
  @PropertyName("responseStatus")
  String getResponseStatus();

  @PropertyName("responseStatus")
  void setResponseStatus(String responseStatus);

  /** Number of additional guests. Optional. The default is 0. */
  @PropertyName("additionalGuests")
  Integer getAdditionalGuests();

  @PropertyName("additionalGuests")
  void setAdditionalGuests(Integer additionalGuests);

  /** Whether the attendee is a resource. Read-only. The default is False. */
  @PropertyName("resource")
  Boolean getResource();

  @PropertyName("resource")
  void setResource(Boolean resource);

  /** Whether the attendee is the organizer of the event. Read-only. The default is False. */
  @PropertyName("organizer")
  Boolean getOrganizer();

  @PropertyName("organizer")
  void setOrganizer(Boolean organizer);

  /** Whether this is an optional attendee. Optional. The default is False. */
  @PropertyName("optional")
  Boolean getOptional();

  @PropertyName("optional")
  void setOptional(Boolean optional);

  /**
 * The attendee's email address, if available. This field must be present when adding an attendee.
 */
  @PropertyName("email")
  String getEmail();

  @PropertyName("email")
  void setEmail(String email);
}
