/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.EventDateTime.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface EventDateTime extends ValueProxy {

  /** The date, in the format "yyyy-mm-dd", if this is an all-day event. */
  @PropertyName("date")
  String getDate();

  @PropertyName("date")
  void setDate(String date);

  /**
 * The name of the time zone in which the time is specified (e.g. "Europe/Zurich"). Optional. The
 * default is the time zone of the calendar.
 */
  @PropertyName("timeZone")
  String getTimeZone();

  @PropertyName("timeZone")
  void setTimeZone(String timeZone);

  /**
 * The time, as a combined date-time value (formatted according to RFC 3339). A time zone offset is
 * required unless a time zone is explicitly specified in 'timeZone'.
 */
  @PropertyName("dateTime")
  String getDateTime();

  @PropertyName("dateTime")
  void setDateTime(String dateTime);
}
