/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.EventExtendedProperties.
 *
 * Extended properties of the event.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface EventExtendedProperties extends ValueProxy {

  /** Properties that are shared between copies of the event on other attendees' calendars. */
  @PropertyName("shared")
  java.util.Map<String, String> getShared();

  @PropertyName("shared")
  void setShared(java.util.Map<String, String> shared);

  /** Properties that are private to the copy of the event that appears on this calendar. */
  @PropertyName("private")
  java.util.Map<String, String> getCalendarPrivate();

  @PropertyName("private")
  void setCalendarPrivate(java.util.Map<String, String> calendarPrivate);
}
