/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.EventGadget.
 *
 * A gadget that extends this event.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface EventGadget extends ValueProxy {

  /** Preferences. */
  @PropertyName("preferences")
  java.util.Map<String, String> getPreferences();

  @PropertyName("preferences")
  void setPreferences(java.util.Map<String, String> preferences);

  /** The gadget's title. */
  @PropertyName("title")
  String getTitle();

  @PropertyName("title")
  void setTitle(String title);

  /** The gadget's height in pixels. Optional. */
  @PropertyName("height")
  Integer getHeight();

  @PropertyName("height")
  void setHeight(Integer height);

  /** The gadget's width in pixels. Optional. */
  @PropertyName("width")
  Integer getWidth();

  @PropertyName("width")
  void setWidth(Integer width);

  /** The gadget's URL. */
  @PropertyName("link")
  String getLink();

  @PropertyName("link")
  void setLink(String link);

  /** The gadget's type. */
  @PropertyName("type")
  String getType();

  @PropertyName("type")
  void setType(String type);

  /**
 * The gadget's display mode. Optional. Possible values are: - "icon" - The gadget displays next to
 * the event's title in the calendar view. - "chip" - The gadget displays when the event is clicked.
 */
  @PropertyName("display")
  String getDisplay();

  @PropertyName("display")
  void setDisplay(String display);

  /** The gadget's icon URL. */
  @PropertyName("iconLink")
  String getIconLink();

  @PropertyName("iconLink")
  void setIconLink(String iconLink);
}
