/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.EventReminder.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface EventReminder extends ValueProxy {

  /** Number of minutes before the start of the event when the reminder should trigger. */
  @PropertyName("minutes")
  Integer getMinutes();

  @PropertyName("minutes")
  void setMinutes(Integer minutes);

  /**
 * The method used by this reminder. Possible values are: - "email" - Reminders are sent via email.
 * - "sms" - Reminders are sent via SMS. - "popup" - Reminders are sent via a UI popup.
 */
  @PropertyName("method")
  String getMethod();

  @PropertyName("method")
  void setMethod(String method);
}
