/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.EventReminders.
 *
 * Information about the event's reminders for the authenticated user.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface EventReminders extends ValueProxy {

  /**
 * If the event doesn't use the default reminders, this lists the reminders specific to the event,
 * or, if not set, indicates that no reminders are set for this event.
 */
  @PropertyName("overrides")
  java.util.List<EventReminder> getOverrides();

  @PropertyName("overrides")
  void setOverrides(java.util.List<EventReminder> overrides);

  /** Whether the default reminders of the calendar apply to the event. */
  @PropertyName("useDefault")
  Boolean getUseDefault();

  @PropertyName("useDefault")
  void setUseDefault(Boolean useDefault);
}
