/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.Events.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Events extends ValueProxy {

  /**
 * Token used to access the next page of this result. Omitted if no further results are available.
 */
  @PropertyName("nextPageToken")
  String getNextPageToken();

  @PropertyName("nextPageToken")
  void setNextPageToken(String nextPageToken);

  /** Type of the collection ("calendar#events"). */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String kind);

  /**
 * The default reminders on the calendar for the authenticated user. These reminders apply to all
 * events on this calendar that do not explicitly override them (i.e. do not have
 * 'reminders.useDefault' set to 'true').
 */
  @PropertyName("defaultReminders")
  java.util.List<EventReminder> getDefaultReminders();

  @PropertyName("defaultReminders")
  void setDefaultReminders(java.util.List<EventReminder> defaultReminders);

  /** Description of the calendar. Read-only. */
  @PropertyName("description")
  String getDescription();

  @PropertyName("description")
  void setDescription(String description);

  /** List of events on the calendar. */
  @PropertyName("items")
  java.util.List<Event> getItems();

  @PropertyName("items")
  void setItems(java.util.List<Event> items);

  /** Last modification time of the calendar (as a RFC 3339 timestamp). Read-only. */
  @PropertyName("updated")
  String getUpdated();

  @PropertyName("updated")
  void setUpdated(String updated);

  /** Title of the calendar. Read-only. */
  @PropertyName("summary")
  String getSummary();

  @PropertyName("summary")
  void setSummary(String summary);

  /** ETag of the collection. */
  @PropertyName("etag")
  String getEtag();

  @PropertyName("etag")
  void setEtag(String etag);

  /** The time zone of the calendar. Read-only. */
  @PropertyName("timeZone")
  String getTimeZone();

  @PropertyName("timeZone")
  void setTimeZone(String timeZone);

  /**
 * The user's access role for this calendar. Read-only. Possible values are: - "none" - The user has
 * no access. - "freeBusyReader" - The user has read access to free/busy information. - "reader" -
 * The user has read access to the calendar. Private events will appear to users with reader access,
 * but event details will be hidden. - "writer" - The user has read and write access to the
 * calendar. Private events will appear to users with writer access, and event details will be
 * visible. - "owner" - The user has ownership of the calendar. This role has all of the permissions
 * of the writer role with the additional ability to see and manipulate ACLs.
 */
  @PropertyName("accessRole")
  String getAccessRole();

  @PropertyName("accessRole")
  void setAccessRole(String accessRole);
}
