/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.FreeBusyCalendar.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface FreeBusyCalendar extends ValueProxy {

  /** List of time ranges during which this calendar should be regarded as busy. */
  @PropertyName("busy")
  java.util.List<TimePeriod> getBusy();

  @PropertyName("busy")
  void setBusy(java.util.List<TimePeriod> busy);

  /** Optional error(s) (if computation for the calendar failed). */
  @PropertyName("errors")
  java.util.List<Error> getErrors();

  @PropertyName("errors")
  void setErrors(java.util.List<Error> errors);
}
