/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.calendar.shared.model;


import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;


/**
 * Model definition for Calendar.FreeBusyRequest.
 *
 * This class models an object which will be transmitted to or from the Calendar service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface FreeBusyRequest extends ValueProxy {

  /** Maximal number of calendars for which FreeBusy information is to be provided. Optional. */
  @PropertyName("calendarExpansionMax")
  Integer getCalendarExpansionMax();

  @PropertyName("calendarExpansionMax")
  void setCalendarExpansionMax(Integer calendarExpansionMax);

  /**
 * Maximal number of calendar identifiers to be provided for a single group. Optional. An error will
 * be returned for a group with more members than this value.
 */
  @PropertyName("groupExpansionMax")
  Integer getGroupExpansionMax();

  @PropertyName("groupExpansionMax")
  void setGroupExpansionMax(Integer groupExpansionMax);

  /** The end of the interval for the query. */
  @PropertyName("timeMax")
  String getTimeMax();

  @PropertyName("timeMax")
  void setTimeMax(String timeMax);

  /** List of calendars and/or groups to query. */
  @PropertyName("items")
  java.util.List<FreeBusyRequestItem> getItems();

  @PropertyName("items")
  void setItems(java.util.List<FreeBusyRequestItem> items);

  /** The start of the interval for the query. */
  @PropertyName("timeMin")
  String getTimeMin();

  @PropertyName("timeMin")
  void setTimeMin(String timeMin);

  /** Time zone used in the response. Optional. The default is UTC. */
  @PropertyName("timeZone")
  String getTimeZone();

  @PropertyName("timeZone")
  void setTimeZone(String timeZone);
}
