/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Plus.Activity.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Activity extends ValueProxy {

  /** Name of the place where this activity occurred. */
  @PropertyName("placeName")
  String getPlaceName();

  @PropertyName("placeName")
  void setPlaceName(String PlaceName);

  /** Identifies this resource as an activity. Value: "plus#activity". */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String Kind);

  /** The time at which this activity was last updated. Formatted as an RFC 3339 timestamp. */
  @PropertyName("updated")
  String getUpdated();

  @PropertyName("updated")
  void setUpdated(String Updated);

  /** The service provider that initially published this activity. */
  @PropertyName("provider")
  ActivityProvider getProvider();

  @PropertyName("provider")
  void setProvider(ActivityProvider Provider);

  /** Title of this activity. */
  @PropertyName("title")
  String getTitle();

  @PropertyName("title")
  void setTitle(String Title);

  
  @PropertyName("url")
  String getUrl();

  @PropertyName("url")
  void setUrl(String Url);

  /** The object of this activity. */
  @PropertyName("object")
  ActivityObject getPlusObject();

  @PropertyName("object")
  void setPlusObject(ActivityObject PlusObject);

  /** ID of the place where this activity occurred. */
  @PropertyName("placeId")
  String getPlaceId();

  @PropertyName("placeId")
  void setPlaceId(String PlaceId);

  /** The person who performed this activity. */
  @PropertyName("actor")
  ActivityActor getActor();

  @PropertyName("actor")
  void setActor(ActivityActor Actor);

  /** The ID of this activity. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);

  /** Identifies who has access to see this activity. */
  @PropertyName("access")
  Acl getAccess();

  @PropertyName("access")
  void setAccess(Acl Access);

  /**
 * This activity's verb, indicating what action was performed. Possible values are: - "post" -
 * Publish content to the stream. - "checkin" - Check in to a location. - "share" - Reshare an
 * activity.
 */
  @PropertyName("verb")
  String getVerb();

  @PropertyName("verb")
  void setVerb(String Verb);

  /**
 * Latitude and longitude where this activity occurred. Format is latitude followed by longitude,
 * space separated.
 */
  @PropertyName("geocode")
  String getGeocode();

  @PropertyName("geocode")
  void setGeocode(String Geocode);

  /**
 * Radius, in meters, of the region where this activity occurred, centered at the latitude and
 * longitude identified in geocode.
 */
  @PropertyName("radius")
  String getRadius();

  @PropertyName("radius")
  void setRadius(String Radius);

  /** Street address where this activity occurred. */
  @PropertyName("address")
  String getAddress();

  @PropertyName("address")
  void setAddress(String Address);

  /**
 * If this activity is a crosspost from another system, this property specifies the ID of the
 * original activity.
 */
  @PropertyName("crosspostSource")
  String getCrosspostSource();

  @PropertyName("crosspostSource")
  void setCrosspostSource(String CrosspostSource);

  
  @PropertyName("placeholder")
  Boolean getPlaceholder();

  @PropertyName("placeholder")
  void setPlaceholder(Boolean Placeholder);

  /**
 * Additional content added by the person who shared this activity, applicable only when resharing
 * an activity.
 */
  @PropertyName("annotation")
  String getAnnotation();

  @PropertyName("annotation")
  void setAnnotation(String Annotation);

  /** The time at which this activity was initially published. Formatted as an RFC 3339 timestamp. */
  @PropertyName("published")
  String getPublished();

  @PropertyName("published")
  void setPublished(String Published);
}
