/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;
import java.util.List;

/**
 * Model definition for Plus.ActivityFeed.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface ActivityFeed extends ValueProxy {

  /**
 * The continuation token, used to page through large result sets. Provide this value in a
 * subsequent request to return the next page of results.
 */
  @PropertyName("nextPageToken")
  String getNextPageToken();

  @PropertyName("nextPageToken")
  void setNextPageToken(String NextPageToken);

  /** Identifies this resource as a collection of activities. Value: "plus#activityFeed". */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String Kind);

  /** The title of this collection of activities. */
  @PropertyName("title")
  String getTitle();

  @PropertyName("title")
  void setTitle(String Title);

  /** The activities in this page of results. */
  @PropertyName("items")
  java.util.List<Activity> getItems();

  @PropertyName("items")
  void setItems(java.util.List<Activity> Items);

  /**
 * The time at which this collection of activities was last updated. Formatted as an RFC 3339
 * timestamp.
 */
  @PropertyName("updated")
  String getUpdated();

  @PropertyName("updated")
  void setUpdated(String Updated);

  
  @PropertyName("nextLink")
  String getNextLink();

  @PropertyName("nextLink")
  void setNextLink(String NextLink);

  /** The ID of this collection of activities. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);

  
  @PropertyName("selfLink")
  String getSelfLink();

  @PropertyName("selfLink")
  void setSelfLink(String SelfLink);
}
