/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;
import java.util.List;

/**
 * Model definition for Plus.ActivityObject.
 *
 * The object of this activity.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface ActivityObject extends ValueProxy {

  /** People who reshared this activity. */
  @PropertyName("resharers")
  ActivityObjectResharers getResharers();

  @PropertyName("resharers")
  void setResharers(ActivityObjectResharers Resharers);

  /** The media objects attached to this activity. */
  @PropertyName("attachments")
  java.util.List<ActivityObjectAttachments> getAttachments();

  @PropertyName("attachments")
  void setAttachments(java.util.List<ActivityObjectAttachments> Attachments);

  /**
 * The content (text) as provided by the author, stored without any HTML formatting. When updating
 * an activity's content, use the value of originalContent as the starting point from which to make
 * edits.
 */
  @PropertyName("originalContent")
  String getOriginalContent();

  @PropertyName("originalContent")
  void setOriginalContent(String OriginalContent);

  /** People who +1'd this activity. */
  @PropertyName("plusoners")
  ActivityObjectPlusoners getPlusoners();

  @PropertyName("plusoners")
  void setPlusoners(ActivityObjectPlusoners Plusoners);

  /**
 * If this activity's object is itself another activity (for example, when a person reshares an
 * activity), this property specifies the original activity's actor.
 */
  @PropertyName("actor")
  ActivityObjectActor getActor();

  @PropertyName("actor")
  void setActor(ActivityObjectActor Actor);

  /**
 * The HTML-formatted content, suitable for display. When creating or updating an activity, this
 * value must be supplied as plain text in the request. If successful, the response will contain the
 * HTML-formatted content. When updating an activity, use originalContent as the starting value,
 * then assign the updated text to this property.
 */
  @PropertyName("content")
  String getContent();

  @PropertyName("content")
  void setContent(String Content);

  /** The URL that points to the linked resource. */
  @PropertyName("url")
  String getUrl();

  @PropertyName("url")
  void setUrl(String Url);

  /** Comments in reply to this activity. */
  @PropertyName("replies")
  ActivityObjectReplies getReplies();

  @PropertyName("replies")
  void setReplies(ActivityObjectReplies Replies);

  /**
 * The ID of the object. When resharing an activity, this is the ID of the activity being reshared.
 */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);

  /**
 * The type of the object. Possible values are: - "note" - Textual content. - "activity" - A Google+
 * activity.
 */
  @PropertyName("objectType")
  String getObjectType();

  @PropertyName("objectType")
  void setObjectType(String ObjectType);
}
