/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Plus.ActivityObjectActor.
 *
 * If this activity's object is itself another activity (for example, when a person reshares an
 * activity), this property specifies the original activity's actor.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface ActivityObjectActor extends ValueProxy {

  /** A link to the original actor's Google profile. */
  @PropertyName("url")
  String getUrl();

  @PropertyName("url")
  void setUrl(String Url);

  /** The image representation of the original actor. */
  @PropertyName("image")
  ActivityObjectActorImage getImage();

  @PropertyName("image")
  void setImage(ActivityObjectActorImage Image);

  /** The original actor's name, suitable for display. */
  @PropertyName("displayName")
  String getDisplayName();

  @PropertyName("displayName")
  void setDisplayName(String DisplayName);

  /** ID of the original actor. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);
}
