/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Plus.ActivityObjectAttachments.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface ActivityObjectAttachments extends ValueProxy {

  /** The title of the attachment (such as a photo caption or an article title). */
  @PropertyName("displayName")
  String getDisplayName();

  @PropertyName("displayName")
  void setDisplayName(String DisplayName);

  /** The full image url for photo attachments. */
  @PropertyName("fullImage")
  ActivityObjectAttachmentsFullImage getFullImage();

  @PropertyName("fullImage")
  void setFullImage(ActivityObjectAttachmentsFullImage FullImage);

  /** The link to the attachment, should be of type text/html. */
  @PropertyName("url")
  String getUrl();

  @PropertyName("url")
  void setUrl(String Url);

  /** The preview image for photos or videos. */
  @PropertyName("image")
  ActivityObjectAttachmentsImage getImage();

  @PropertyName("image")
  void setImage(ActivityObjectAttachmentsImage Image);

  /** If the attachment is an article, this property contains a snippet of text from the article. */
  @PropertyName("content")
  String getContent();

  @PropertyName("content")
  void setContent(String Content);

  /** If the attachment is a video, the embeddable link. */
  @PropertyName("embed")
  ActivityObjectAttachmentsEmbed getEmbed();

  @PropertyName("embed")
  void setEmbed(ActivityObjectAttachmentsEmbed Embed);

  /** The ID of the media object's resource. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);

  /**
 * The type of media object. Possible values are: - "photo" - A photo. - "video" - A video. -
 * "article" - An article, specified by a link.
 */
  @PropertyName("objectType")
  String getObjectType();

  @PropertyName("objectType")
  void setObjectType(String ObjectType);
}
