/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;
import java.util.List;

/**
 * Model definition for Plus.Person.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Person extends ValueProxy {

  /**
 * The person's relationship status. Possible values are: - "single" - Person is single. -
 * "in_a_relationship" - Person is in a relationship. - "engaged" - Person is engaged. - "married" -
 * Person is married. - "its_complicated" - The relationship is complicated. - "open_relationship" -
 * Person is in an open relationship. - "widowed" - Person is widowed. - "in_domestic_partnership" -
 * Person is in a domestic partnership. - "in_civil_union" - Person is in a civil union.
 */
  @PropertyName("relationshipStatus")
  String getRelationshipStatus();

  @PropertyName("relationshipStatus")
  void setRelationshipStatus(String RelationshipStatus);

  /** A list of current or past organizations with which this person is associated. */
  @PropertyName("organizations")
  java.util.List<PersonOrganizations> getOrganizations();

  @PropertyName("organizations")
  void setOrganizations(java.util.List<PersonOrganizations> Organizations);

  /** Identifies this resource as a person. Value: "plus#person". */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String Kind);

  /** The name of this person, suitable for display. */
  @PropertyName("displayName")
  String getDisplayName();

  @PropertyName("displayName")
  void setDisplayName(String DisplayName);

  /** An object representation of the individual components of a person's name. */
  @PropertyName("name")
  PersonName getName();

  @PropertyName("name")
  void setName(PersonName Name);

  /** The URL of this person's profile. */
  @PropertyName("url")
  String getUrl();

  @PropertyName("url")
  void setUrl(String Url);

  /**
 * The person's gender. Possible values are: - "male" - Male gender. - "female" - Female gender. -
 * "other" - Other.
 */
  @PropertyName("gender")
  String getGender();

  @PropertyName("gender")
  void setGender(String Gender);

  /** A short biography for this person. */
  @PropertyName("aboutMe")
  String getAboutMe();

  @PropertyName("aboutMe")
  void setAboutMe(String AboutMe);

  /** The brief description (tagline) of this person. */
  @PropertyName("tagline")
  String getTagline();

  @PropertyName("tagline")
  void setTagline(String Tagline);

  /** A list of URLs for this person. */
  @PropertyName("urls")
  java.util.List<PersonUrls> getUrls();

  @PropertyName("urls")
  void setUrls(java.util.List<PersonUrls> Urls);

  /** A list of places where this person has lived. */
  @PropertyName("placesLived")
  java.util.List<PersonPlacesLived> getPlacesLived();

  @PropertyName("placesLived")
  void setPlacesLived(java.util.List<PersonPlacesLived> PlacesLived);

  /** A list of email addresses for this person. */
  @PropertyName("emails")
  java.util.List<PersonEmails> getEmails();

  @PropertyName("emails")
  void setEmails(java.util.List<PersonEmails> Emails);

  /** The nickname of this person. */
  @PropertyName("nickname")
  String getNickname();

  @PropertyName("nickname")
  void setNickname(String Nickname);

  /** The person's date of birth, represented as YYYY-MM-DD. */
  @PropertyName("birthday")
  String getBirthday();

  @PropertyName("birthday")
  void setBirthday(String Birthday);

  /** The representation of the person's profile photo. */
  @PropertyName("image")
  PersonImage getImage();

  @PropertyName("image")
  void setImage(PersonImage Image);

  /**
 * If "true", indicates that the person has installed the app that is making the request and has
 * chosen to expose this install state to the caller. A value of "false" indicates that the install
 * state cannot be determined (it is either not installed or the person has chosen to keep this
 * information private).
 */
  @PropertyName("hasApp")
  Boolean getHasApp();

  @PropertyName("hasApp")
  void setHasApp(Boolean HasApp);

  /** The ID of this person. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);

  /** The languages spoken by this person. */
  @PropertyName("languagesSpoken")
  java.util.List<String> getLanguagesSpoken();

  @PropertyName("languagesSpoken")
  void setLanguagesSpoken(java.util.List<String> LanguagesSpoken);

  /** The current location for this person. */
  @PropertyName("currentLocation")
  String getCurrentLocation();

  @PropertyName("currentLocation")
  void setCurrentLocation(String CurrentLocation);
}
