/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Plus.PersonName.
 *
 * An object representation of the individual components of a person's name.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface PersonName extends ValueProxy {

  /** The honorific prefixes (such as "Dr." or "Mrs.") for this person. */
  @PropertyName("honorificPrefix")
  String getHonorificPrefix();

  @PropertyName("honorificPrefix")
  void setHonorificPrefix(String HonorificPrefix);

  /** The middle name of this person. */
  @PropertyName("middleName")
  String getMiddleName();

  @PropertyName("middleName")
  void setMiddleName(String MiddleName);

  /** The family name (last name) of this person. */
  @PropertyName("familyName")
  String getFamilyName();

  @PropertyName("familyName")
  void setFamilyName(String FamilyName);

  /** The full name of this person, including middle names, suffixes, etc. */
  @PropertyName("formatted")
  String getFormatted();

  @PropertyName("formatted")
  void setFormatted(String Formatted);

  /** The given name (first name) of this person. */
  @PropertyName("givenName")
  String getGivenName();

  @PropertyName("givenName")
  void setGivenName(String GivenName);

  /** The honorific suffixes (such as "Jr.") for this person. */
  @PropertyName("honorificSuffix")
  String getHonorificSuffix();

  @PropertyName("honorificSuffix")
  void setHonorificSuffix(String HonorificSuffix);
}
