/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Plus.PersonOrganizations.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface PersonOrganizations extends ValueProxy {

  /** The date the person joined this organization. */
  @PropertyName("startDate")
  String getStartDate();

  @PropertyName("startDate")
  void setStartDate(String StartDate);

  /** The date the person left this organization. */
  @PropertyName("endDate")
  String getEndDate();

  @PropertyName("endDate")
  void setEndDate(String EndDate);

  /** A short description of the person's role in this organization. */
  @PropertyName("description")
  String getDescription();

  @PropertyName("description")
  void setDescription(String Description);

  /** The person's job title or role within the organization. */
  @PropertyName("title")
  String getTitle();

  @PropertyName("title")
  void setTitle(String Title);

  /**
 * If "true", indicates this organization is the person's primary one (typically interpreted as
 * current one).
 */
  @PropertyName("primary")
  Boolean getPrimary();

  @PropertyName("primary")
  void setPrimary(Boolean Primary);

  /** The location of this organization. */
  @PropertyName("location")
  String getLocation();

  @PropertyName("location")
  void setLocation(String Location);

  /** The department within the organization. */
  @PropertyName("department")
  String getDepartment();

  @PropertyName("department")
  void setDepartment(String Department);

  /** The type of organization. Possible values are:  
- "job" - Job. 
- "school" - School. */
  @PropertyName("type")
  String getType();

  @PropertyName("type")
  void setType(String Type);

  /** The name of the organization. */
  @PropertyName("name")
  String getName();

  @PropertyName("name")
  void setName(String Name);
}
