/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.plus.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Plus.PersonUrls.
 *
 * This class models an object which will be transmitted to or from the Plus service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface PersonUrls extends ValueProxy {

  /**
 * The type of URL. Possible values are: - "home" - URL for home. - "work" - URL for work. - "blog"
 * - URL for blog. - "profile" - URL for profile. - "other" - Other.
 */
  @PropertyName("type")
  String getType();

  @PropertyName("type")
  void setType(String Type);

  /** If "true", this URL is the person's primary URL. */
  @PropertyName("primary")
  Boolean getPrimary();

  @PropertyName("primary")
  void setPrimary(Boolean Primary);

  /** The URL value. */
  @PropertyName("value")
  String getValue();

  @PropertyName("value")
  void setValue(String Value);
}
