/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.tasks.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Tasks.Task.
 *
 * This class models an object which will be transmitted to or from the Tasks service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Task extends ValueProxy {

  /** Status of the task. This is either "needsAction" or "completed". */
  @PropertyName("status")
  String getStatus();

  @PropertyName("status")
  void setStatus(String Status);

  /** Type of the resource. This is always "tasks#task". */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String Kind);

  /** Last modification time of the task (as a RFC 3339 timestamp). */
  @PropertyName("updated")
  String getUpdated();

  @PropertyName("updated")
  void setUpdated(String Updated);

  /**
 * Parent task identifier. This field is omitted if it is a top-level task. This field is read-only.
 * Use the "move" method to move the task under a different parent or to the top level.
 */
  @PropertyName("parent")
  String getParent();

  @PropertyName("parent")
  void setParent(String Parent);

  /** Title of the task. */
  @PropertyName("title")
  String getTitle();

  @PropertyName("title")
  void setTitle(String Title);

  /** Flag indicating whether the task has been deleted. The default if False. */
  @PropertyName("deleted")
  Boolean getDeleted();

  @PropertyName("deleted")
  void setDeleted(Boolean Deleted);

  /**
 * Completion date of the task (as a RFC 3339 timestamp). This field is omitted if the task has not
 * been completed.
 */
  @PropertyName("completed")
  String getCompleted();

  @PropertyName("completed")
  void setCompleted(String Completed);

  /** Due date of the task (as a RFC 3339 timestamp). Optional. */
  @PropertyName("due")
  String getDue();

  @PropertyName("due")
  void setDue(String Due);

  /** ETag of the resource. */
  @PropertyName("etag")
  String getEtag();

  @PropertyName("etag")
  void setEtag(String Etag);

  /** Notes describing the task. Optional. */
  @PropertyName("notes")
  String getNotes();

  @PropertyName("notes")
  void setNotes(String Notes);

  /**
 * String indicating the position of the task among its sibling tasks under the same parent task or
 * at the top level. If this string is greater than another task's corresponding position string
 * according to lexicographical ordering, the task is positioned after the other task under the same
 * parent task (or at the top level). This field is read-only. Use the "move" method to move the
 * task to another position.
 */
  @PropertyName("position")
  String getPosition();

  @PropertyName("position")
  void setPosition(String Position);

  /**
 * Flag indicating whether the task is hidden. This is the case if the task had been marked
 * completed when the task list was last cleared. The default is False. This field is read-only.
 */
  @PropertyName("hidden")
  Boolean getHidden();

  @PropertyName("hidden")
  void setHidden(Boolean Hidden);

  /** Task identifier. */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);

  /** URL pointing to this task. Used to retrieve, update, or delete this task. */
  @PropertyName("selfLink")
  String getSelfLink();

  @PropertyName("selfLink")
  void setSelfLink(String SelfLink);
}
