/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.tasks.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;
import java.util.List;

/**
 * Model definition for Tasks.TaskLists.
 *
 * This class models an object which will be transmitted to or from the Tasks service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface TaskLists extends ValueProxy {

  /** Token that can be used to request the next page of this result. */
  @PropertyName("nextPageToken")
  String getNextPageToken();

  @PropertyName("nextPageToken")
  void setNextPageToken(String NextPageToken);

  /** Collection of task lists. */
  @PropertyName("items")
  java.util.List<TaskList> getItems();

  @PropertyName("items")
  void setItems(java.util.List<TaskList> Items);

  /** Type of the resource. This is always "tasks#taskLists". */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String Kind);

  /** ETag of the resource. */
  @PropertyName("etag")
  String getEtag();

  @PropertyName("etag")
  void setEtag(String Etag);
}
