/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.urlshortener.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;
import java.util.List;

/**
 * Model definition for Urlshortener.AnalyticsSnapshot.
 *
 * This class models an object which will be transmitted to or from the Urlshortener service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface AnalyticsSnapshot extends ValueProxy {

  /** Number of clicks on this short URL. */
  @PropertyName("shortUrlClicks")
  Long getShortUrlClicks();

  @PropertyName("shortUrlClicks")
  void setShortUrlClicks(Long ShortUrlClicks);

  /**
 * Top countries (expressed as country codes), e.g. "US" or "DE"; sorted by (descending) click
 * counts. Only present if this data is available.
 */
  @PropertyName("countries")
  java.util.List<StringCount> getCountries();

  @PropertyName("countries")
  void setCountries(java.util.List<StringCount> Countries);

  /**
 * Top platforms or OSes, e.g. "Windows"; sorted by (descending) click counts. Only present if this
 * data is available.
 */
  @PropertyName("platforms")
  java.util.List<StringCount> getPlatforms();

  @PropertyName("platforms")
  void setPlatforms(java.util.List<StringCount> Platforms);

  /**
 * Top browsers, e.g. "Chrome"; sorted by (descending) click counts. Only present if this data is
 * available.
 */
  @PropertyName("browsers")
  java.util.List<StringCount> getBrowsers();

  @PropertyName("browsers")
  void setBrowsers(java.util.List<StringCount> Browsers);

  /**
 * Top referring hosts, e.g. "www.google.com"; sorted by (descending) click counts. Only present if
 * this data is available.
 */
  @PropertyName("referrers")
  java.util.List<StringCount> getReferrers();

  @PropertyName("referrers")
  void setReferrers(java.util.List<StringCount> Referrers);

  /** Number of clicks on all goo.gl short URLs pointing to this long URL. */
  @PropertyName("longUrlClicks")
  Long getLongUrlClicks();

  @PropertyName("longUrlClicks")
  void setLongUrlClicks(Long LongUrlClicks);
}
