/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.urlshortener.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Urlshortener.AnalyticsSummary.
 *
 * This class models an object which will be transmitted to or from the Urlshortener service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface AnalyticsSummary extends ValueProxy {

  /** Click analytics over the last week. */
  @PropertyName("week")
  AnalyticsSnapshot getWeek();

  @PropertyName("week")
  void setWeek(AnalyticsSnapshot Week);

  /** Click analytics over all time. */
  @PropertyName("allTime")
  AnalyticsSnapshot getAllTime();

  @PropertyName("allTime")
  void setAllTime(AnalyticsSnapshot AllTime);

  /** Click analytics over the last two hours. */
  @PropertyName("twoHours")
  AnalyticsSnapshot getTwoHours();

  @PropertyName("twoHours")
  void setTwoHours(AnalyticsSnapshot TwoHours);

  /** Click analytics over the last day. */
  @PropertyName("day")
  AnalyticsSnapshot getDay();

  @PropertyName("day")
  void setDay(AnalyticsSnapshot Day);

  /** Click analytics over the last month. */
  @PropertyName("month")
  AnalyticsSnapshot getMonth();

  @PropertyName("month")
  void setMonth(AnalyticsSnapshot Month);
}
