/*
 * Copyright (c) 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.gwt.services.urlshortener.shared.model;

import com.google.web.bindery.autobean.shared.AutoBean.PropertyName;
import com.google.web.bindery.autobean.shared.Splittable;
import com.google.web.bindery.requestfactory.shared.JsonRpcProxy;
import com.google.web.bindery.requestfactory.shared.ValueProxy;

/**
 * Model definition for Urlshortener.Url.
 *
 * This class models an object which will be transmitted to or from the Urlshortener service.
 *
 * @author Google, Inc.
 */
@JsonRpcProxy
public interface Url extends ValueProxy {

  /**
 * Status of the target URL. Possible values: "OK", "MALWARE", "PHISHING", or "REMOVED". A URL might
 * be marked "REMOVED" if it was flagged as spam, for example.
 */
  @PropertyName("status")
  String getStatus();

  @PropertyName("status")
  void setStatus(String Status);

  /** The fixed string "urlshortener#url". */
  @PropertyName("kind")
  String getKind();

  @PropertyName("kind")
  void setKind(String Kind);

  /**
 * Time the short URL was created; ISO 8601 representation using the yyyy-MM-dd'T'HH:mm:ss.SSSZZ
 * format, e.g. "2010-10-14T19:01:24.944+00:00".
 */
  @PropertyName("created")
  String getCreated();

  @PropertyName("created")
  void setCreated(String Created);

  /**
 * A summary of the click analytics for the short and long URL. Might not be present if not
 * requested or currently unavailable.
 */
  @PropertyName("analytics")
  AnalyticsSummary getAnalytics();

  @PropertyName("analytics")
  void setAnalytics(AnalyticsSummary Analytics);

  /** Long URL, e.g. "http://www.google.com/". Might not be present if the status is "REMOVED". */
  @PropertyName("longUrl")
  String getLongUrl();

  @PropertyName("longUrl")
  void setLongUrl(String LongUrl);

  /** Short URL, e.g. "http://goo.gl/l6MS". */
  @PropertyName("id")
  String getId();

  @PropertyName("id")
  void setId(String Id);
}
